=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Matthijs Möhlmann <matthijs@cacholong.nl>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper (>= 10),
               dh-apparmor,
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!stage1>,
               libdb5.3-dev <!stage1>,
               libgnutls28-dev,
               libltdl-dev <!stage1>,
               libperl-dev (>= 5.8.0) <!stage1>,
               libsasl2-dev,
               libwrap0-dev <!stage1>,
               lsb-release,
               nettle-dev <!stage1>,
               perl:any,
               po-debconf,
               unixodbc-dev <!stage1>
Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
Standards-Version: 4.0.0
Homepage: http://www.openldap.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-openldap/openldap.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-openldap/openldap.git

Package: slapd
Architecture: any
Build-Profiles: <!stage1>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: ldap-utils, ufw,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-smbk5pwd
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Keeps Samba and Kerberos passwords in sync within slapd.
 Extends the PasswordModify Extended Operation to update Kerberos keys
 and Samba password hashes for an LDAP user. The Kerberos support is
 written for Heimdal using its hdb-ldap backend. The Samba support is
 written using the Samba 3.0 LDAP schema.

Package: ldap-utils
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.4-2
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common (>= ${source:Version})
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries 
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-common
Section: libs
Priority: standard
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
Description: OpenLDAP common files for libraries
 These are common files for the run-time libraries for the OpenLDAP
 (Lightweight Directory Access Protocol) servers and clients.

Package: libldap2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libldap-dev, libopenldap-dev
Replaces: libopenldap-dev
Provides: libldap-dev
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.
