## openldap 2.4.46+dfsg

=== debian/changelog ===
openldap (2.4.46+dfsg-5ubuntu1.2) cosmic; urgency=medium

  * Fix sysv-generator unit file by customizing parameters (LP: #1821343)
    - d/slapd-remain-after-exit.conf: Override RemainAfterExit to allow
      correct systemctl status for slapd daemon.
    - d/slapd.install: place override file in correct location.

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 10 Apr 2019 09:50:13 -0300

openldap (2.4.46+dfsg-5ubuntu1.1) cosmic; urgency=medium

  * d/apparmor-profile: update apparmor profile to allow reading of
    files needed when slapd is behaving as a kerberos/gssapi client
    and acquiring its own ticket. (LP: #1783183)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 23 Oct 2018 10:06:32 -0300

openldap (2.4.46+dfsg-5ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
      - d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/{patches/nssov-build,rules}: Apply, build and package the
        nss overlay.
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
    - d/libldap-2.4-2.symbols: Add symbols not present in Debian.
      - CLDAP (UDP) was added in 2.4.17-1ubuntu2
      - GSSAPI support was enabled in 2.4.18-0ubuntu2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 May 2018 13:44:37 +0200

openldap (2.4.46+dfsg-5) unstable; urgency=medium

  * Restore slapd-smbk5pwd now that libldap is installable in unstable.
    This reverts the changes from -3 and -4.

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 04 May 2018 16:12:27 -0700

openldap (2.4.46+dfsg-4) unstable; urgency=medium

  * Disable building the smbk5pwd plugin temporarily.

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 04 May 2018 08:06:58 -0700

openldap (2.4.46+dfsg-3) unstable; urgency=medium

  * Build without heimdal temporarily to resolve BD-Uninstallable loop.

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 04 May 2018 07:36:58 -0700

openldap (2.4.46+dfsg-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
      - d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/{patches/nssov-build,rules}: Apply, build and package the
        nss overlay.
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
    - d/libldap-2.4-2.symbols: Add symbols not present in Debian.
      - CLDAP (UDP) was added in 2.4.17-1ubuntu2
      - GSSAPI support was enabled in 2.4.18-0ubuntu2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 10:19:24 +0200

openldap (2.4.46+dfsg-2) unstable; urgency=medium

  * Remove version constraint from libldap-2.4-2 dependency on libldap-common.

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 03 May 2018 14:16:49 -0700

openldap (2.4.46+dfsg-1) unstable; urgency=medium

  * Move the repository to Salsa.
    Update debian/control Vcs-* fields.
  * Remove Matthijs Möhlmann from Uploaders. (Closes: #891308)
    Thank you Matthijs for your past contributions.
  * New upstream release.
    - fixed slapd out-of-sync issue with delta-MMR and memberof overlay
      (ITS#8444) (Closes: #877166)
  * Rebase patch no-AM_INIT_AUTOMAKE to apply cleanly.
  * Drop patch ITS8650-retry-gnutls_handshake-after-GNUTLS_E_AGAIN, applied

