=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
- Matthijs Möhlmann <matthijs@cacholong.nl>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
                dh-apparmor,
@@ -23,10 +22,10 @@
                po-debconf,
                unixodbc-dev <!stage1>
 Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://www.openldap.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-openldap/openldap.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-openldap/openldap.git
+Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
+Vcs-Browser: https://salsa.debian.org/openldap-team/openldap
 
 Package: slapd
 Architecture: any
@@ -72,12 +71,11 @@
 
 Package: libldap-2.4-2
 Section: libs
-Priority: standard
 Architecture: any
 Multi-Arch: same
 Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
 Replaces: libldap2, libldap-2.3-0
 Description: OpenLDAP libraries 
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
@@ -85,7 +83,6 @@
 
 Package: libldap-common
 Section: libs
-Priority: standard
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
