=== debian/changelog ===
openldap (2.4.47+dfsg-3+rpi1+deb10u7) buster-staging; urgency=medium

  [changes brought forward from 2.4.42+dfsg-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Mon, 31 Aug 2015 16:17:47 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 20 May 2022 14:58:23 +0000

openldap (2.4.47+dfsg-3+deb10u7) buster-security; urgency=high

  * Fix SQL injection in back-sql (ITS#9815) (CVE-2022-29155)

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 14 May 2022 11:35:44 -0700

openldap (2.4.47+dfsg-3+deb10u6) buster-security; urgency=high

  * Fix slapd assertion failure in Certificate List Exact Assertion validation
    (ITS#9454) (CVE-2021-27212)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 14 Feb 2021 10:32:34 -0800

openldap (2.4.47+dfsg-3+deb10u5) buster-security; urgency=high

  * Fix slapd crashes in Certificate Exact Assertion processing
    (ITS#9404, ITS#9424) (CVE-2020-36221)
  * Fix slapd assertion failures in saslAuthzTo validation
    (ITS#9406, ITS#9407) (CVE-2020-36222)
  * Fix slapd crash in Values Return Filter control handling
    (ITS#9408) (CVE-2020-36223)
  * Fix slapd crashes in saslAuthzTo processing (ITS#9409, ITS#9412, ITS#9413)
    (CVE-2020-36224, CVE-2020-36225, CVE-2020-36226)
  * Fix slapd assertion failure in X.509 DN parsing
    (ITS#9423) (CVE-2020-36230)
  * Fix slapd crash in X.509 DN parsing (ITS#9425) (CVE-2020-36229)
  * Fix slapd crash in Certificate List Exact Assertion processing
    (ITS#9427) (CVE-2020-36228)
  * Fix slapd infinite loop with Cancel operation (ITS#9428) (CVE-2020-36227)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 21 Jan 2021 19:54:40 -0800

openldap (2.4.47+dfsg-3+deb10u4) buster-security; urgency=high

  * Fix slapd abort due to assertion failure in Certificate List syntax
    validation (ITS#9383) (CVE-2020-25709)
  * Fix slapd abort due to assertion failure in CSN normalization with invalid
    input (ITS#9384) (CVE-2020-25710)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 16 Nov 2020 17:23:45 -0800

openldap (2.4.47+dfsg-3+deb10u3) buster-security; urgency=high

  * Fix slapd normalization handling with modrdn
    (ITS#9370) (CVE-2020-25692)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 29 Oct 2020 18:36:26 -0700

openldap (2.4.47+dfsg-3+deb10u2) buster-security; urgency=high

  * Fix slapd to limit depth of nested expressions in search filters
    (ITS#9202) (CVE-2020-12243)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 20 Apr 2020 11:19:54 -0700

openldap (2.4.47+dfsg-3+deb10u1) buster; urgency=medium

  * Fix slapd to restrict rootDN proxyauthz to its own databases
    (CVE-2019-13057) (ITS#9038) (Closes: #932997)
  * Fix slapd to enforce sasl_ssf ACL statement on every connection
    (CVE-2019-13565) (ITS#9052) (Closes: #932998)
  * Fix slapo-rwm to not free original filter when rewritten filter is invalid
    (ITS#8964) (Closes: #934277, LP: #1838370)

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 10 Aug 2019 11:58:18 -0700

openldap (2.4.47+dfsg-3) unstable; urgency=medium

  * Restore patches to contrib Makefiles to set CFLAGS, CPPFLAGS, and LDFLAGS
    individually in the relevant command lines instead of overriding OPT. The
    change to use OPT caused FTBFS on some ports arches where PIE enablement
    uses spec files, by mixing compile-time and link-time flags.
    (Closes: #919136)
  * Fix architecture-specific path in smbk5pwd's binary-or-shlib-defines-rpath
    Lintian override.
  * Skip exporting cn=config to LDIF in preinst for upgrades where nothing
    needs to be checked in it.
  * Update Standards-Version to 4.3.0.

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 02 Feb 2019 10:30:10 -0800

openldap (2.4.47+dfsg-2) unstable; urgency=medium

  * Reintroduce slapi-dev binary package. (Closes: #711469)
    Thanks to Florian Schlichting.
  * Do not call gnutls_global_set_mutex(). (Closes: #803197)
  * Use dh_auto_* to build and install contrib modules.
    - Stop patching the clean rule in smbk5pwd's Makefile.
  * Explicitly list overlays and man pages installed by slapd package in
    slapd.install and slapd.manpages files.
  * Set common variables for contrib Makefiles by make(1) command line instead
    of patching every Makefile.
  * Build and install more contrib plugins in a new slapd-contrib package:
    - pw-apr1 and pw-netscape (Closes: #592362)
    - pw-pbkdf2 (Closes: #794999)
  * Import the slapo-pw-pbkdf2 man page from upstream git master and install
    it with the slapd-contrib package.
  * Add smbk5pwd to slapd-contrib and turn slapd-smbk5pwd into a transitional
    package. Drop smbk5pwd README since it now has a man page which is a
    better resource for users.
    - Use Breaks to ensure that slapd is not upgraded in between removing the
      old smbk5pwd module and installing the new one.
  * Include the apr1-atol.pl and apr1-lota.pl helper scripts in the
    slapd-contrib package as examples.
  * Merge remaining contrib Makefile patches into a single contrib-makefiles
    patch.

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 12 Jan 2019 11:18:03 -0800

openldap (2.4.47+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - reverted GnuTLS handshake change in libldap as it regressed slapd
      (Reopens: #861838)
  * Update Standards-Version to 4.2.1.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 23 Dec 2018 12:50:40 -0800
